Bug 401765 - Accepting updated invitation caused Kontact crash.
Summary: Accepting updated invitation caused Kontact crash.
Status: REPORTED
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2018-12-05 11:33 UTC by S.Trzmiel
Modified: 2021-04-29 15:17 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description S.Trzmiel 2018-12-05 11:33:57 UTC
Application: kontact (5.9.3)

Qt Version: 5.11.1
Frameworks Version: 5.52.0
Operating System: Linux 4.19.4-300.fc29.x86_64 x86_64
Distribution: "Fedora release 29 (Twenty Nine)"

-- Information about the crash:
Crash occured when I accepted invitation update (no original initation was found according to the Kontact message) and tried to save it in Google calendar.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
28	  return SYSCALL_CANCEL (nanosleep, requested_time, remaining);
[Current thread is 1 (Thread 0x7f56f2184340 (LWP 9301))]

Thread 33 (Thread 0x7f55ba409700 (LWP 2545)):
#0  0x00007f56fd914f84 in __GI___libc_read (nbytes=10, buf=0x7f55ba408a5e, fd=123) at ../sysdeps/unix/sysv/linux/read.c:26
#1  0x00007f56fd914f84 in __GI___libc_read (fd=fd@entry=123, buf=buf@entry=0x7f55ba408a5e, nbytes=nbytes@entry=10) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007f56b879a355 in read (__nbytes=10, __buf=0x7f55ba408a5e, __fd=123) at /usr/include/bits/unistd.h:44
#3  0x00007f56b879a355 in pa_read (fd=123, buf=buf@entry=0x7f55ba408a5e, count=count@entry=10, type=type@entry=0x556ef5dcbf88) at pulsecore/core-util.c:437
#4  0x00007f56d4045826 in clear_wakeup (m=<optimized out>) at pulse/mainloop.c:782
#5  0x00007f56d4045826 in pa_mainloop_prepare (m=m@entry=0x556ef5dcbeb0, timeout=-1) at pulse/mainloop.c:789
#6  0x00007f56d4046294 in pa_mainloop_iterate (m=0x556ef5dcbeb0, block=<optimized out>, retval=0x0) at pulse/mainloop.c:923
#7  0x00007f56d4046350 in pa_mainloop_run (m=0x556ef5dcbeb0, retval=retval@entry=0x0) at pulse/mainloop.c:945
#8  0x00007f56d40545bd in thread (userdata=0x556ef5dcbe70) at pulse/thread-mainloop.c:100
#9  0x00007f56b87ca06c in internal_thread_func (userdata=0x556ef5dc0060) at pulsecore/thread-posix.c:81
#10 0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#11 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 32 (Thread 0x7f55a7aef700 (LWP 2544)):
#0  0x00007f56f6140b68 in futex_reltimed_wait_cancelable (private=0, reltime=0x7f55a7aee980, expected=0, futex_word=0x7f55a7aeeb68) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f56f6140b68 in __pthread_cond_wait_common (abstime=0x7f55a7aeea20, mutex=0x7f55a7aeeb18, cond=0x7f55a7aeeb40) at pthread_cond_wait.c:533
#2  0x00007f56f6140b68 in __pthread_cond_timedwait (cond=0x7f55a7aeeb40, mutex=0x7f55a7aeeb18, abstime=0x7f55a7aeea20) at pthread_cond_wait.c:667
#3  0x00007f56f8ac8ce7 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:120
#4  0x00007f56f8aca9ba in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:221
#5  0x00007f56f8acaaa2 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:161
#6  0x00007f56f8acf861 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:171
#7  0x00007f56f8ad0d41 in base::internal::SchedulerWorker::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:68
#8  0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#9  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#10 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 31 (Thread 0x7f5672ffd700 (LWP 2543)):
#0  0x00007f56f6140b68 in futex_reltimed_wait_cancelable (private=0, reltime=0x7f5672ffc980, expected=0, futex_word=0x7f5672ffcb68) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f56f6140b68 in __pthread_cond_wait_common (abstime=0x7f5672ffca20, mutex=0x7f5672ffcb18, cond=0x7f5672ffcb40) at pthread_cond_wait.c:533
#2  0x00007f56f6140b68 in __pthread_cond_timedwait (cond=0x7f5672ffcb40, mutex=0x7f5672ffcb18, abstime=0x7f5672ffca20) at pthread_cond_wait.c:667
#3  0x00007f56f8ac8ce7 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:120
#4  0x00007f56f8aca9ba in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:221
#5  0x00007f56f8acaaa2 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:161
#6  0x00007f56f8acf861 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:171
#7  0x00007f56f8ad0d41 in base::internal::SchedulerWorker::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:68
#8  0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#9  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#10 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 30 (Thread 0x7f55a64dc700 (LWP 31414)):
#0  0x00007f56f6140b68 in futex_reltimed_wait_cancelable (private=0, reltime=0x7f55a64db980, expected=0, futex_word=0x7f55a64dbb68) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f56f6140b68 in __pthread_cond_wait_common (abstime=0x7f55a64dba20, mutex=0x7f55a64dbb18, cond=0x7f55a64dbb40) at pthread_cond_wait.c:533
#2  0x00007f56f6140b68 in __pthread_cond_timedwait (cond=0x7f55a64dbb40, mutex=0x7f55a64dbb18, abstime=0x7f55a64dba20) at pthread_cond_wait.c:667
#3  0x00007f56f8ac8ce7 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:120
#4  0x00007f56f8aca9ba in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:221
#5  0x00007f56f8acaaa2 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:161
#6  0x00007f56f8acf861 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:171
#7  0x00007f56f8ad0d41 in base::internal::SchedulerWorker::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:68
#8  0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#9  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#10 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 29 (Thread 0x7f55a6cdd700 (LWP 28466)):
#0  0x00007f56f6140b68 in futex_reltimed_wait_cancelable (private=0, reltime=0x7f55a6cdc980, expected=0, futex_word=0x7f55a6cdcb68) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f56f6140b68 in __pthread_cond_wait_common (abstime=0x7f55a6cdca20, mutex=0x7f55a6cdcb18, cond=0x7f55a6cdcb40) at pthread_cond_wait.c:533
#2  0x00007f56f6140b68 in __pthread_cond_timedwait (cond=0x7f55a6cdcb40, mutex=0x7f55a6cdcb18, abstime=0x7f55a6cdca20) at pthread_cond_wait.c:667
#3  0x00007f56f8ac8ce7 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:120
#4  0x00007f56f8aca9ba in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:221
#5  0x00007f56f8acaaa2 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:161
#6  0x00007f56f8acf861 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:171
#7  0x00007f56f8ad0d41 in base::internal::SchedulerWorker::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:68
#8  0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#9  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#10 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 28 (Thread 0x7f55b9207700 (LWP 10216)):
#0  0x00007f56fd919421 in __GI___poll (fds=0x7f55a0004db0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f56f391e5a6 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f55a0004db0, timeout=<optimized out>, context=0x7f55a0000bf0) at gmain.c:4221
#2  0x00007f56f391e5a6 in g_main_context_iterate (context=context@entry=0x7f55a0000bf0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3915
#3  0x00007f56f391e6d0 in g_main_context_iteration (context=0x7f55a0000bf0, may_block=may_block@entry=1) at gmain.c:3981
#4  0x00007f56fdfc682b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f55a0000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f56fdf7517b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f55b9206c20, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#6  0x00007f56fdddd046 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#7  0x00007f56fdde64bb in QThreadPrivate::start(void*) (arg=0x556ef2c91b90) at thread/qthread_unix.cpp:367
#8  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#9  0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 27 (Thread 0x7f55c8d3e700 (LWP 9877)):
#0  0x00007f56f3965ebd in g_mutex_lock (mutex=mutex@entry=0x7f55b4000bf0) at gthread-posix.c:1343
#1  0x00007f56f391d738 in g_main_context_release (context=0x7f55b4000bf0) at gmain.c:3282
#2  0x00007f56f391e566 in g_main_context_iterate (context=context@entry=0x7f55b4000bf0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3922
#3  0x00007f56f391e6d0 in g_main_context_iteration (context=0x7f55b4000bf0, may_block=may_block@entry=1) at gmain.c:3981
#4  0x00007f56fdfc682b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f55b4000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f56fdf7517b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f55c8d3dc20, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#6  0x00007f56fdddd046 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#7  0x00007f56fdde64bb in QThreadPrivate::start(void*) (arg=0x556eee14da70) at thread/qthread_unix.cpp:367
#8  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#9  0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 26 (Thread 0x7f55c9c25700 (LWP 9851)):
#0  0x00007f56fd919421 in __GI___poll (fds=0x7f55c00806f0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f56f391e5a6 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f55c00806f0, timeout=<optimized out>, context=0x7f55c0000bf0) at gmain.c:4221
#2  0x00007f56f391e5a6 in g_main_context_iterate (context=context@entry=0x7f55c0000bf0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3915
#3  0x00007f56f391e6d0 in g_main_context_iteration (context=0x7f55c0000bf0, may_block=may_block@entry=1) at gmain.c:3981
#4  0x00007f56fdfc682b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f55c0000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f56fdf7517b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f55c9c24c20, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#6  0x00007f56fdddd046 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#7  0x00007f56fdde64bb in QThreadPrivate::start(void*) (arg=0x556eedef0b90) at thread/qthread_unix.cpp:367
#8  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#9  0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 25 (Thread 0x7f55ca426700 (LWP 9489)):
#0  0x00007f56f391dd64 in g_main_context_query (context=context@entry=0x7f55bc000bf0, max_priority=2147483647, timeout=timeout@entry=0x7f55ca425ad4, fds=fds@entry=0x7f55bc003ce0, n_fds=n_fds@entry=3) at gmain.c:3637
#1  0x00007f56f391e527 in g_main_context_iterate (context=context@entry=0x7f55bc000bf0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3909
#2  0x00007f56f391e6d0 in g_main_context_iteration (context=0x7f55bc000bf0, may_block=may_block@entry=1) at gmain.c:3981
#3  0x00007f56fdfc682b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f55bc000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f56fdf7517b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f55ca425c20, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#5  0x00007f56fdddd046 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#6  0x00007f56fdde64bb in QThreadPrivate::start(void*) (arg=0x556eedf57710) at thread/qthread_unix.cpp:367
#7  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#8  0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 24 (Thread 0x7f55caca9700 (LWP 9463)):
#0  0x00007f56fd919421 in __GI___poll (fds=0x7f55c4004a10, nfds=1, timeout=9897) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f56f391e5a6 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f55c4004a10, timeout=<optimized out>, context=0x7f55c4000bf0) at gmain.c:4221
#2  0x00007f56f391e5a6 in g_main_context_iterate (context=context@entry=0x7f55c4000bf0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3915
#3  0x00007f56f391e6d0 in g_main_context_iteration (context=0x7f55c4000bf0, may_block=may_block@entry=1) at gmain.c:3981
#4  0x00007f56fdfc682b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f55c4000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f56fdf7517b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f55caca8c20, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#6  0x00007f56fdddd046 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#7  0x00007f56fdde64bb in QThreadPrivate::start(void*) (arg=0x556eedf15600) at thread/qthread_unix.cpp:367
#8  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#9  0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 23 (Thread 0x7f5671825700 (LWP 9401)):
#0  0x00007f56fd931dbc in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:63
#1  0x00007f56fd933c68 in ___fprintf_chk (fp=0x7f56fd9e98d0 <_IO_stdfile_2_lock>, flag=flag@entry=1, format=format@entry=0x7f56f3296188 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007f56f327de7f in fprintf (__fmt=0x7f56f3296188 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:100
#3  0x00007f56f327de7f in event_log (msg=0x7f5671824540 "epoll_wait: B\305\202\304\231dny deskryptor pliku", severity=2) at log.c:251
#4  0x00007f56f327de7f in event_logv_ (severity=severity@entry=2, errstr=0x7f56b80a5d0c "B\305\202\304\231dny deskryptor pliku", fmt=fmt@entry=0x7f56f32962f9 "epoll_wait", ap=ap@entry=0x7f5671824970) at log.c:216
#5  0x00007f56f327e048 in event_warn (fmt=fmt@entry=0x7f56f32962f9 "epoll_wait") at log.c:127
#6  0x00007f56f327fa40 in epoll_dispatch (base=0x7f55cc001d50, tv=<optimized out>) at epoll.c:468
#7  0x00007f56f3275598 in event_base_loop (base=0x7f55cc001d50, flags=<optimized out>) at event.c:1947
#8  0x00007f56f8a9d834 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at ./../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:257
#9  0x00007f56f8abc95b in base::RunLoop::Run() () at ./../../3rdparty/chromium/base/run_loop.cc:130
#10 0x00007f56f8adf724 in base::Thread::Run(base::RunLoop*) () at ./../../3rdparty/chromium/base/threading/thread.cc:255
#11 0x00007f56f8adf724 in base::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/threading/thread.cc:338
#12 0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#13 0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#14 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 22 (Thread 0x7f56737fe700 (LWP 9388)):
#0  0x00007f56f614077c in futex_wait_cancelable (private=0, expected=0, futex_word=0x7f56f26f0478 <QTWTF::pageheap_memory+57592>) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f56f614077c in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f56f26f0428 <QTWTF::pageheap_memory+57512>, cond=0x7f56f26f0450 <QTWTF::pageheap_memory+57552>) at pthread_cond_wait.c:502
#2  0x00007f56f614077c in __pthread_cond_wait (cond=0x7f56f26f0450 <QTWTF::pageheap_memory+57552>, mutex=0x7f56f26f0428 <QTWTF::pageheap_memory+57512>) at pthread_cond_wait.c:655
#3  0x00007f56f2601f5a in QTWTF::TCMalloc_PageHeap::scavengerThread() (this=0x7f56f26e2380 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#4  0x00007f56f2601fc5 in QTWTF::TCMalloc_PageHeap::runScavengerThread(void*) (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#5  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#6  0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7f5672739700 (LWP 9387)):
#0  0x00007f56b87b90c8 in do_pstream_read_write (p=0x7f5660000bc0) at pulsecore/pstream.c:244
#1  0x00007f56b87b94ad in srb_callback (srb=0x7f566000bbe0, userdata=0x7f5660000bc0) at pulsecore/pstream.c:287
#2  0x00007f56b87b9d3a in srbchannel_rwloop (sr=0x7f566000bbe0) at pulsecore/srbchannel.c:190
#3  0x00007f56d4045fd8 in dispatch_pollfds (m=0x556eedc9bbc0) at pulse/mainloop.c:140
#4  0x00007f56d4045fd8 in pa_mainloop_dispatch (m=m@entry=0x556eedc9bbc0) at pulse/mainloop.c:898
#5  0x00007f56d40462b0 in pa_mainloop_iterate (m=0x556eedc9bbc0, block=<optimized out>, retval=0x0) at pulse/mainloop.c:929
#6  0x00007f56d4046350 in pa_mainloop_run (m=0x556eedc9bbc0, retval=retval@entry=0x0) at pulse/mainloop.c:945
#7  0x00007f56d40545bd in thread (userdata=0x556eedc9bb80) at pulse/thread-mainloop.c:100
#8  0x00007f56b87ca06c in internal_thread_func (userdata=0x556eedcabfb0) at pulsecore/thread-posix.c:81
#9  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#10 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7f5673fff700 (LWP 9386)):
#0  0x00007f56fd931dbc in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:63
#1  0x00007f56fd933c68 in ___fprintf_chk (fp=0x7f56fd9e98d0 <_IO_stdfile_2_lock>, flag=flag@entry=1, format=format@entry=0x7f56f3296188 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007f56f327de7f in fprintf (__fmt=0x7f56f3296188 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:100
#3  0x00007f56f327de7f in event_log (msg=0x7f5673ffe540 "epoll_wait: B\305\202\304\231dny deskryptor pliku", severity=2) at log.c:251
#4  0x00007f56f327de7f in event_logv_ (severity=severity@entry=2, errstr=0x7f56b80a5d0c "B\305\202\304\231dny deskryptor pliku", fmt=fmt@entry=0x7f56f32962f9 "epoll_wait", ap=ap@entry=0x7f5673ffe970) at log.c:216
#5  0x00007f56f327e048 in event_warn (fmt=fmt@entry=0x7f56f32962f9 "epoll_wait") at log.c:127
#6  0x00007f56f327fa40 in epoll_dispatch (base=0x7f566c001d50, tv=<optimized out>) at epoll.c:468
#7  0x00007f56f3275598 in event_base_loop (base=0x7f566c001d50, flags=<optimized out>) at event.c:1947
#8  0x00007f56f8a9d6f9 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at ./../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:224
#9  0x00007f56f8abc95b in base::RunLoop::Run() () at ./../../3rdparty/chromium/base/run_loop.cc:130
#10 0x00007f56f8adf724 in base::Thread::Run(base::RunLoop*) () at ./../../3rdparty/chromium/base/threading/thread.cc:255
#11 0x00007f56f8adf724 in base::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/threading/thread.cc:338
#12 0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#13 0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#14 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7f5698ff9700 (LWP 9385)):
#0  0x00007f56f6140b68 in futex_reltimed_wait_cancelable (private=0, reltime=0x7f5698ff8940, expected=0, futex_word=0x7f5698ff8b28) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f56f6140b68 in __pthread_cond_wait_common (abstime=0x7f5698ff89e0, mutex=0x7f5698ff8ad8, cond=0x7f5698ff8b00) at pthread_cond_wait.c:533
#2  0x00007f56f6140b68 in __pthread_cond_timedwait (cond=0x7f5698ff8b00, mutex=0x7f5698ff8ad8, abstime=0x7f5698ff89e0) at pthread_cond_wait.c:667
#3  0x00007f56f8ac8ce7 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:120
#4  0x00007f56f8aca9ba in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:221
#5  0x00007f56f8a971f0 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at ./../../3rdparty/chromium/base/message_loop/message_pump_default.cc:63
#6  0x00007f56f8abc95b in base::RunLoop::Run() () at ./../../3rdparty/chromium/base/run_loop.cc:130
#7  0x00007f56f8adf724 in base::Thread::Run(base::RunLoop*) () at ./../../3rdparty/chromium/base/threading/thread.cc:255
#8  0x00007f56f8adf724 in base::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/threading/thread.cc:338
#9  0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#10 0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#11 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7f56997fa700 (LWP 9384)):
#0  0x00007f56f6140b68 in futex_reltimed_wait_cancelable (private=0, reltime=0x7f56997f9940, expected=0, futex_word=0x7f56997f9b28) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f56f6140b68 in __pthread_cond_wait_common (abstime=0x7f56997f99e0, mutex=0x7f56997f9ad8, cond=0x7f56997f9b00) at pthread_cond_wait.c:533
#2  0x00007f56f6140b68 in __pthread_cond_timedwait (cond=0x7f56997f9b00, mutex=0x7f56997f9ad8, abstime=0x7f56997f99e0) at pthread_cond_wait.c:667
#3  0x00007f56f8ac8ce7 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:120
#4  0x00007f56f8aca9ba in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:221
#5  0x00007f56f8a971f0 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at ./../../3rdparty/chromium/base/message_loop/message_pump_default.cc:63
#6  0x00007f56f8abc95b in base::RunLoop::Run() () at ./../../3rdparty/chromium/base/run_loop.cc:130
#7  0x00007f56f8adf724 in base::Thread::Run(base::RunLoop*) () at ./../../3rdparty/chromium/base/threading/thread.cc:255
#8  0x00007f56f8adf724 in base::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/threading/thread.cc:338
#9  0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#10 0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#11 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7f5699ffb700 (LWP 9383)):
#0  0x00007f56f614077c in futex_wait_cancelable (private=0, expected=0, futex_word=0x556eedc8a998) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f56f614077c in __pthread_cond_wait_common (abstime=0x0, mutex=0x556eedc8a8d8, cond=0x556eedc8a970) at pthread_cond_wait.c:502
#2  0x00007f56f614077c in __pthread_cond_wait (cond=0x556eedc8a970, mutex=0x556eedc8a8d8) at pthread_cond_wait.c:655
#3  0x00007f56f8ac8c19 in base::ConditionVariable::Wait() () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:71
#4  0x00007f56f94c4cf8 in cc::SingleThreadTaskGraphRunner::Run() () at ./../../3rdparty/chromium/cc/raster/single_thread_task_graph_runner.cc:123
#5  0x00007f56f8ae2296 in base::SimpleThread::ThreadMain() () at ./../../3rdparty/chromium/base/threading/simple_thread.cc:68
#6  0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#7  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#8  0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f569a7fc700 (LWP 9382)):
#0  0x00007f56f614077c in futex_wait_cancelable (private=0, expected=0, futex_word=0x7f569a7fbb78) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f56f614077c in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f569a7fbb28, cond=0x7f569a7fbb50) at pthread_cond_wait.c:502
#2  0x00007f56f614077c in __pthread_cond_wait (cond=0x7f569a7fbb50, mutex=0x7f569a7fbb28) at pthread_cond_wait.c:655
#3  0x00007f56f8ac8c19 in base::ConditionVariable::Wait() () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:71
#4  0x00007f56f8aca9c8 in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:223
#5  0x00007f56f8acaa5f in base::WaitableEvent::Wait() () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:154
#6  0x00007f56f8acf878 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:169
#7  0x00007f56f8ad0d41 in base::internal::SchedulerWorker::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:68
#8  0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#9  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#10 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f569affd700 (LWP 9381)):
#0  0x00007f56fd931dbc in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:63
#1  0x00007f56fd933c68 in ___fprintf_chk (fp=0x7f56fd9e98d0 <_IO_stdfile_2_lock>, flag=flag@entry=1, format=format@entry=0x7f56f3296188 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007f56f327de7f in fprintf (__fmt=0x7f56f3296188 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:100
#3  0x00007f56f327de7f in event_log (msg=0x7f569affc170 "epoll_wait: B\305\202\304\231dny deskryptor pliku", severity=2) at log.c:251
#4  0x00007f56f327de7f in event_logv_ (severity=severity@entry=2, errstr=0x7f56b80a5d0c "B\305\202\304\231dny deskryptor pliku", fmt=fmt@entry=0x7f56f32962f9 "epoll_wait", ap=ap@entry=0x7f569affc5a0) at log.c:216
#5  0x00007f56f327e048 in event_warn (fmt=fmt@entry=0x7f56f32962f9 "epoll_wait") at log.c:127
#6  0x00007f56f327fa40 in epoll_dispatch (base=0x7f5684001d10, tv=<optimized out>) at epoll.c:468
#7  0x00007f56f3275598 in event_base_loop (base=0x7f5684001d10, flags=<optimized out>) at event.c:1947
#8  0x00007f56f8a9d6f9 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at ./../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:224
#9  0x00007f56f8abc95b in base::RunLoop::Run() () at ./../../3rdparty/chromium/base/run_loop.cc:130
#10 0x00007f56f7bd29ea in content::BrowserThreadImpl::IOThreadRun(base::RunLoop*) () at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:248
#11 0x00007f56f7bd2e97 in content::BrowserThreadImpl::Run(base::RunLoop*) () at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:283
#12 0x00007f56f8adf858 in base::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/threading/thread.cc:338
#13 0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#14 0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#15 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f569b7fe700 (LWP 9380)):
#0  0x00007f56f614077c in futex_wait_cancelable (private=0, expected=0, futex_word=0x7f569b7fdb78) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f56f614077c in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f569b7fdb28, cond=0x7f569b7fdb50) at pthread_cond_wait.c:502
#2  0x00007f56f614077c in __pthread_cond_wait (cond=0x7f569b7fdb50, mutex=0x7f569b7fdb28) at pthread_cond_wait.c:655
#3  0x00007f56f8ac8c19 in base::ConditionVariable::Wait() () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:71
#4  0x00007f56f8aca9c8 in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:223
#5  0x00007f56f8acaa5f in base::WaitableEvent::Wait() () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:154
#6  0x00007f56f8acf878 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:169
#7  0x00007f56f8ad0b5f in base::internal::SchedulerWorker::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:42
#8  0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#9  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#10 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f569bfff700 (LWP 9379)):
#0  0x00007f56f614077c in futex_wait_cancelable (private=0, expected=0, futex_word=0x7f569bffeb78) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f56f614077c in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f569bffeb28, cond=0x7f569bffeb50) at pthread_cond_wait.c:502
#2  0x00007f56f614077c in __pthread_cond_wait (cond=0x7f569bffeb50, mutex=0x7f569bffeb28) at pthread_cond_wait.c:655
#3  0x00007f56f8ac8c19 in base::ConditionVariable::Wait() () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:71
#4  0x00007f56f8aca9c8 in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:223
#5  0x00007f56f8acaa5f in base::WaitableEvent::Wait() () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:154
#6  0x00007f56f8acf878 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:169
#7  0x00007f56f8ad0d41 in base::internal::SchedulerWorker::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:68
#8  0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#9  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#10 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f56b8ff9700 (LWP 9378)):
#0  0x00007f56f614077c in futex_wait_cancelable (private=0, expected=0, futex_word=0x7f56b8ff8b78) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f56f614077c in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f56b8ff8b28, cond=0x7f56b8ff8b50) at pthread_cond_wait.c:502
#2  0x00007f56f614077c in __pthread_cond_wait (cond=0x7f56b8ff8b50, mutex=0x7f56b8ff8b28) at pthread_cond_wait.c:655
#3  0x00007f56f8ac8c19 in base::ConditionVariable::Wait() () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:71
#4  0x00007f56f8aca9c8 in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:223
#5  0x00007f56f8acaa5f in base::WaitableEvent::Wait() () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:154
#6  0x00007f56f8acf878 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:169
#7  0x00007f56f8ad0b5f in base::internal::SchedulerWorker::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:42
#8  0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#9  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#10 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f56b97fa700 (LWP 9377)):
#0  0x00007f56f614077c in futex_wait_cancelable (private=0, expected=0, futex_word=0x7f56b97f9b78) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f56f614077c in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f56b97f9b28, cond=0x7f56b97f9b50) at pthread_cond_wait.c:502
#2  0x00007f56f614077c in __pthread_cond_wait (cond=0x7f56b97f9b50, mutex=0x7f56b97f9b28) at pthread_cond_wait.c:655
#3  0x00007f56f8ac8c19 in base::ConditionVariable::Wait() () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:71
#4  0x00007f56f8aca9c8 in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:223
#5  0x00007f56f8acaa5f in base::WaitableEvent::Wait() () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:154
#6  0x00007f56f8acf878 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:169
#7  0x00007f56f8ad0b5f in base::internal::SchedulerWorker::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:42
#8  0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#9  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#10 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f56b9ffb700 (LWP 9376)):
#0  0x00007f56f614077c in futex_wait_cancelable (private=0, expected=0, futex_word=0x7f56b9ffab78) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f56f614077c in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f56b9ffab28, cond=0x7f56b9ffab50) at pthread_cond_wait.c:502
#2  0x00007f56f614077c in __pthread_cond_wait (cond=0x7f56b9ffab50, mutex=0x7f56b9ffab28) at pthread_cond_wait.c:655
#3  0x00007f56f8ac8c19 in base::ConditionVariable::Wait() () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:71
#4  0x00007f56f8aca9c8 in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:223
#5  0x00007f56f8acaa5f in base::WaitableEvent::Wait() () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:154
#6  0x00007f56f8acf878 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:169
#7  0x00007f56f8ad0b5f in base::internal::SchedulerWorker::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:42
#8  0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#9  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#10 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f56bbfff700 (LWP 9372)):
#0  0x00007f56f6140b68 in futex_reltimed_wait_cancelable (private=0, reltime=0x7f56bbffe980, expected=0, futex_word=0x7f56bbffeb68) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f56f6140b68 in __pthread_cond_wait_common (abstime=0x7f56bbffea20, mutex=0x7f56bbffeb18, cond=0x7f56bbffeb40) at pthread_cond_wait.c:533
#2  0x00007f56f6140b68 in __pthread_cond_timedwait (cond=0x7f56bbffeb40, mutex=0x7f56bbffeb18, abstime=0x7f56bbffea20) at pthread_cond_wait.c:667
#3  0x00007f56f8ac8ce7 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:120
#4  0x00007f56f8aca9ba in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:221
#5  0x00007f56f8acaaa2 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:161
#6  0x00007f56f8acf861 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:171
#7  0x00007f56f8ad0d41 in base::internal::SchedulerWorker::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:68
#8  0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#9  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#10 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f56d50b4700 (LWP 9370)):
#0  0x00007f56f6140b68 in futex_reltimed_wait_cancelable (private=0, reltime=0x7f56d50b3980, expected=0, futex_word=0x7f56d50b3b68) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f56f6140b68 in __pthread_cond_wait_common (abstime=0x7f56d50b3a20, mutex=0x7f56d50b3b18, cond=0x7f56d50b3b40) at pthread_cond_wait.c:533
#2  0x00007f56f6140b68 in __pthread_cond_timedwait (cond=0x7f56d50b3b40, mutex=0x7f56d50b3b18, abstime=0x7f56d50b3a20) at pthread_cond_wait.c:667
#3  0x00007f56f8ac8ce7 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:120
#4  0x00007f56f8aca9ba in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:221
#5  0x00007f56f8acaaa2 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:161
#6  0x00007f56f8acf861 in base::internal::SchedulerWorker::Delegate::WaitForWork(base::WaitableEvent*) () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:171
#7  0x00007f56f8ad0d41 in base::internal::SchedulerWorker::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/task_scheduler/scheduler_worker.cc:68
#8  0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#9  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#10 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f56d58b5700 (LWP 9369)):
#0  0x00007f56fd931de9 in __lll_unlock_wake_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:309
#1  0x00007f56fd933d00 in _IO_acquire_lock_clear_flags2_fct (p=<synthetic pointer>) at ../libio/libioP.h:769
#2  0x00007f56fd933d00 in ___fprintf_chk (fp=0x7f56fd9e86a0 <_IO_2_1_stderr_>, flag=flag@entry=1, format=format@entry=0x7f56f3296188 "[%s] %s\n") at fprintf_chk.c:30
#3  0x00007f56f327de7f in fprintf (__fmt=0x7f56f3296188 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:100
#4  0x00007f56f327de7f in event_log (msg=0x7f56d58b4540 "epoll_wait: B\305\202\304\231dny deskryptor pliku", severity=2) at log.c:251
#5  0x00007f56f327de7f in event_logv_ (severity=severity@entry=2, errstr=0x7f56b80a5d0c "B\305\202\304\231dny deskryptor pliku", fmt=fmt@entry=0x7f56f32962f9 "epoll_wait", ap=ap@entry=0x7f56d58b4970) at log.c:216
#6  0x00007f56f327e048 in event_warn (fmt=fmt@entry=0x7f56f32962f9 "epoll_wait") at log.c:127
#7  0x00007f56f327fa40 in epoll_dispatch (base=0x7f56c0001d40, tv=<optimized out>) at epoll.c:468
#8  0x00007f56f3275598 in event_base_loop (base=0x7f56c0001d40, flags=<optimized out>) at event.c:1947
#9  0x00007f56f8a9d6f9 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at ./../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:224
#10 0x00007f56f8abc95b in base::RunLoop::Run() () at ./../../3rdparty/chromium/base/run_loop.cc:130
#11 0x00007f56f8adf724 in base::Thread::Run(base::RunLoop*) () at ./../../3rdparty/chromium/base/threading/thread.cc:255
#12 0x00007f56f8adf724 in base::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/threading/thread.cc:338
#13 0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#14 0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#15 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f56d60b6700 (LWP 9368)):
#0  0x00007f56f614077c in futex_wait_cancelable (private=0, expected=0, futex_word=0x7f56d60b5b08) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f56f614077c in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f56d60b5ab8, cond=0x7f56d60b5ae0) at pthread_cond_wait.c:502
#2  0x00007f56f614077c in __pthread_cond_wait (cond=0x7f56d60b5ae0, mutex=0x7f56d60b5ab8) at pthread_cond_wait.c:655
#3  0x00007f56f8ac8c19 in base::ConditionVariable::Wait() () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:71
#4  0x00007f56f8aca9c8 in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:223
#5  0x00007f56f8acaa5f in base::WaitableEvent::Wait() () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:154
#6  0x00007f56f8a971df in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at ./../../3rdparty/chromium/base/message_loop/message_pump_default.cc:57
#7  0x00007f56f8abc95b in base::RunLoop::Run() () at ./../../3rdparty/chromium/base/run_loop.cc:130
#8  0x00007f56f8adf724 in base::Thread::Run(base::RunLoop*) () at ./../../3rdparty/chromium/base/threading/thread.cc:255
#9  0x00007f56f8adf724 in base::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/threading/thread.cc:338
#10 0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#11 0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#12 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f56d68b7700 (LWP 9367)):
#0  0x00007f56fd87890c in __find_specmb (format=<optimized out>) at vfprintf.c:1665
#1  0x00007f56fd87890c in _IO_vfprintf_internal (s=0x7f56d68b3d90, format=<optimized out>, ap=0x7f56d68b6450) at vfprintf.c:1665
#2  0x00007f56fd87b20e in buffered_vfprintf (s=s@entry=0x7f56fd9e86a0 <_IO_2_1_stderr_>, format=format@entry=0x7f56f3296188 "[%s] %s\n", args=args@entry=0x7f56d68b6450) at vfprintf.c:2322
#3  0x00007f56fd8786f2 in _IO_vfprintf_internal (s=s@entry=0x7f56fd9e86a0 <_IO_2_1_stderr_>, format=format@entry=0x7f56f3296188 "[%s] %s\n", ap=ap@entry=0x7f56d68b6450) at vfprintf.c:1296
#4  0x00007f56fd933cba in ___fprintf_chk (fp=0x7f56fd9e86a0 <_IO_2_1_stderr_>, flag=flag@entry=1, format=format@entry=0x7f56f3296188 "[%s] %s\n") at fprintf_chk.c:35
#5  0x00007f56f327de7f in fprintf (__fmt=0x7f56f3296188 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:100
#6  0x00007f56f327de7f in event_log (msg=0x7f56d68b6540 "epoll_wait: B\305\202\304\231dny deskryptor pliku", severity=2) at log.c:251
#7  0x00007f56f327de7f in event_logv_ (severity=severity@entry=2, errstr=0x7f56b80a5d0c "B\305\202\304\231dny deskryptor pliku", fmt=fmt@entry=0x7f56f32962f9 "epoll_wait", ap=ap@entry=0x7f56d68b6970) at log.c:216
#8  0x00007f56f327e048 in event_warn (fmt=fmt@entry=0x7f56f32962f9 "epoll_wait") at log.c:127
#9  0x00007f56f327fa40 in epoll_dispatch (base=0x7f56c8001d50, tv=<optimized out>) at epoll.c:468
#10 0x00007f56f3275598 in event_base_loop (base=0x7f56c8001d50, flags=<optimized out>) at event.c:1947
#11 0x00007f56f8a9d6f9 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at ./../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:224
#12 0x00007f56f8abc95b in base::RunLoop::Run() () at ./../../3rdparty/chromium/base/run_loop.cc:130
#13 0x00007f56f8adf724 in base::Thread::Run(base::RunLoop*) () at ./../../3rdparty/chromium/base/threading/thread.cc:255
#14 0x00007f56f8adf724 in base::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/threading/thread.cc:338
#15 0x00007f56f8adb171 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:75
#16 0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#17 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f56dd505700 (LWP 9358)):
#0  0x00007f56fd914f84 in __GI___libc_read (nbytes=16, buf=0x7f56dd5049c0, fd=8) at ../sysdeps/unix/sysv/linux/read.c:26
#1  0x00007f56fd914f84 in __GI___libc_read (fd=8, buf=buf@entry=0x7f56dd5049c0, nbytes=nbytes@entry=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007f56f3964aa0 in read (__nbytes=16, __buf=0x7f56dd5049c0, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
#3  0x00007f56f3964aa0 in g_wakeup_acknowledge (wakeup=0x7f56e0001bb0) at gwakeup.c:210
#4  0x00007f56f391e09b in g_main_context_check (context=context@entry=0x7f56d0000bf0, max_priority=2147483647, fds=fds@entry=0x7f56d0044cd0, n_fds=n_fds@entry=1) at gmain.c:3698
#5  0x00007f56f391e550 in g_main_context_iterate (context=context@entry=0x7f56d0000bf0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3917
#6  0x00007f56f391e6d0 in g_main_context_iteration (context=0x7f56d0000bf0, may_block=may_block@entry=1) at gmain.c:3981
#7  0x00007f56fdfc682b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f56d0000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#8  0x00007f56fdf7517b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f56dd504bf0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#9  0x00007f56fdddd046 in QThread::exec() (this=this@entry=0x7f56feffd060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#10 0x00007f56fef81f89 in QDBusConnectionManager::run() (this=0x7f56feffd060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#11 0x00007f56fdde64bb in QThreadPrivate::start(void*) (arg=0x7f56feffd060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:367
#12 0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#13 0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f56df3eb700 (LWP 9349)):
#0  0x00007f56f614077c in futex_wait_cancelable (private=0, expected=0, futex_word=0x556eed8d032c) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f56f614077c in __pthread_cond_wait_common (abstime=0x0, mutex=0x556eed8d02d8, cond=0x556eed8d0300) at pthread_cond_wait.c:502
#2  0x00007f56f614077c in __pthread_cond_wait (cond=0x556eed8d0300, mutex=0x556eed8d02d8) at pthread_cond_wait.c:655
#3  0x00007f56df89e8c3 in cnd_wait (mtx=0x556eed8d02d8, cond=0x556eed8d0300) at ../../include/c11/threads_posix.h:155
#4  0x00007f56df89e8c3 in util_queue_thread_func (input=input@entry=0x556eed809d30) at u_queue.c:256
#5  0x00007f56df89e61b in impl_thrd_routine (p=<optimized out>) at ../../include/c11/threads_posix.h:87
#6  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f56e4f56700 (LWP 9337)):
#0  0x00007f56fd919421 in __GI___poll (fds=fds@entry=0x7f56e4f55b38, nfds=nfds@entry=1, timeout=timeout@entry=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f56f5f8e39f in poll (__timeout=-1, __nfds=1, __fds=0x7f56e4f55b38) at /usr/include/bits/poll2.h:46
#2  0x00007f56f5f8e39f in _xcb_conn_wait (c=c@entry=0x556eed7a7bc0, cond=cond@entry=0x556eed7a7c00, vector=vector@entry=0x0, count=count@entry=0x0) at xcb_conn.c:479
#3  0x00007f56f5f9001a in xcb_wait_for_event (c=0x556eed7a7bc0) at xcb_in.c:697
#4  0x00007f56e5065da9 in QXcbEventReader::run() (this=0x556eed7b1c40) at qxcbconnection.h:409
#5  0x00007f56fdde64bb in QThreadPrivate::start(void*) (arg=0x556eed7b1c40) at thread/qthread_unix.cpp:367
#6  0x00007f56f613a58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007f56fd9246a3 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f56f2184340 (LWP 9301)):
[KCrash Handler]
#6  0x0000556ef6149350 in  ()
#7  0x00007f5671ab100f in  () at /lib64/libKF5AkonadiCalendar.so.5
#8  0x00007f5671ab6cf8 in  () at /lib64/libKF5AkonadiCalendar.so.5
#9  0x00007f5671a8eb7f in Akonadi::ITIPHandler::processiTIPMessage(QString const&, QString const&, QString const&) () at /lib64/libKF5AkonadiCalendar.so.5
#10 0x00007f55b9bf887a in  () at /usr/lib64/qt5/plugins/messageviewer/bodypartformatter/messageviewer_bodypartformatter_text_calendar.so
#11 0x00007f55b9bea684 in  () at /usr/lib64/qt5/plugins/messageviewer/bodypartformatter/messageviewer_bodypartformatter_text_calendar.so
#12 0x00007f55b9bf088c in  () at /usr/lib64/qt5/plugins/messageviewer/bodypartformatter/messageviewer_bodypartformatter_text_calendar.so
#13 0x00007f55b9bf27ef in  () at /usr/lib64/qt5/plugins/messageviewer/bodypartformatter/messageviewer_bodypartformatter_text_calendar.so
#14 0x00007f55cb318570 in  () at /lib64/libKF5MessageViewer.so.5
#15 0x00007f55cb315d08 in  () at /lib64/libKF5MessageViewer.so.5
#16 0x00007f55cb2fcb44 in  () at /lib64/libKF5MessageViewer.so.5
#17 0x00007f56fdf9f0f6 in QObject::event(QEvent*) (this=0x556eee14d1e0, e=<optimized out>) at kernel/qobject.cpp:1251
#18 0x00007f56fea122a5 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x556eed797170, receiver=receiver@entry=0x556eee14d1e0, e=e@entry=0x7f56d0062030) at kernel/qapplication.cpp:3727
#19 0x00007f56fea199c0 in QApplication::notify(QObject*, QEvent*) (this=0x7ffd51e9e520, receiver=0x556eee14d1e0, e=0x7f56d0062030) at kernel/qapplication.cpp:3486
#20 0x00007f56fdf76236 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x556eee14d1e0, event=0x7f56d0062030) at kernel/qcoreapplication.cpp:1048
#21 0x00007f56fdf7940b in QCoreApplication::sendEvent(QObject*, QEvent*) (event=0x7f56d0062030, receiver=<optimized out>) at kernel/qcoreapplication.h:234
#22 0x00007f56fdf7940b in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=0x0, event_type=0, data=0x556eed773490) at kernel/qcoreapplication.cpp:1745
#23 0x00007f56fdfc6a87 in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x556eed8c94c0) at kernel/qeventdispatcher_glib.cpp:276
#24 0x00007f56f391e26d in g_main_dispatch (context=0x7f56e0004ff0) at gmain.c:3182
#25 0x00007f56f391e26d in g_main_context_dispatch (context=context@entry=0x7f56e0004ff0) at gmain.c:3847
#26 0x00007f56f391e638 in g_main_context_iterate (context=context@entry=0x7f56e0004ff0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3920
#27 0x00007f56f391e6d0 in g_main_context_iteration (context=0x7f56e0004ff0, may_block=may_block@entry=1) at gmain.c:3981
#28 0x00007f56fdfc6813 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x556eed8a64d0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#29 0x00007f56e50f8f15 in QPAEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x556eed8a64d0, flags=...) at qeventdispatcher_glib.cpp:69
#30 0x00007f56fdf7517b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffd51e9e3f0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#31 0x00007f56fdf7d246 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#32 0x0000556eec0cbd1c in  ()
#33 0x00007f56fd84b413 in __libc_start_main (main=0x556eec0cb180, argc=3, argv=0x7ffd51e9e678, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffd51e9e668) at ../csu/libc-start.c:308
#34 0x0000556eec0cc51e in _start ()
[Inferior 1 (process 9301) detached]

Reported using DrKonqi
Comment 1 Peer Frank 2019-11-13 11:10:22 UTC
updated invitation does not work for me neither:

update of an accepted invitation, which is present in my calender:
selecting record invitation in my calendar in the message
deletes the event in my calender. 
Update calender does not help either.

KOrganizer Version 5.12.2
Comment 2 Raúl 2021-04-29 11:13:15 UTC
Maybe a more recent backtrace is useful:

Kontact 5.13.3
KDE Frameworks 5.78.0
Qt 5.15.2

Application: Kontact (kontact), signal: Segmentation fault

[KCrash Handler]
#4  0x00007f234d91f980 in KMime::Content::parent() const () at /lib/x86_64-linux-gnu/libKF5Mime.so.5abi1
#5  0x00007f234d91f9ab in KMime::Content::topLevel() const () at /lib/x86_64-linux-gnu/libKF5Mime.so.5abi1
#6  0x00007f22fdb31a49 in (anonymous namespace)::UrlHandler::findReceiver(KMime::Content*) (node=0x55d88b067300) at ./plugins/messageviewer/bodypartformatter/calendar/text_calendar.cpp:414
#7  0x00007f22fdb35d7e in (anonymous namespace)::UrlHandler::handleInvitation(QString const&, KCalendarCore::Attendee::PartStat, MimeTreeParser::Interface::BodyPart*, MessageViewer::Viewer*) const (this=0x55d87e447880, iCal=..., status=KCalendarCore::Attendee::Accepted, part=0x7fffb7742f70, viewerInstance=0x55d87d20ac80) at ./plugins/messageviewer/bodypartformatter/calendar/text_calendar.cpp:875
#8  0x00007f22fdb37dc6 in (anonymous namespace)::UrlHandler::handleClick(MessageViewer::Viewer*, MimeTreeParser::Interface::BodyPart*, QString const&) const (this=0x55d87e447880, viewerInstance=0x55d87d20ac80, part=0x7fffb7742f70, path=<optimized out>) at ./plugins/messageviewer/bodypartformatter/calendar/text_calendar.cpp:1217
#9  0x00007f234bda6a19 in MessageViewer::BodyPartURLHandlerManager::handleClick(QUrl const&, MessageViewer::ViewerPrivate*) const () at /lib/x86_64-linux-gnu/libKF5MessageViewer.so.5abi1
#10 0x00007f234bda51f8 in MessageViewer::URLHandlerManager::handleClick(QUrl const&, MessageViewer::ViewerPrivate*) const () at /lib/x86_64-linux-gnu/libKF5MessageViewer.so.5abi1
#11 0x00007f234bd8cbd1 in MessageViewer::ViewerPrivate::slotUrlOpen(QUrl const&) () at /lib/x86_64-linux-gnu/libKF5MessageViewer.so.5abi1
#12 0x00007f23ba135f91 in QObject::event(QEvent*) (this=0x55d87d3e1420, e=0x7f2368163e50) at kernel/qobject.cpp:1314
#13 0x00007f23babcb15f in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib/x86_64-linux-gnu/libQt5Widgets.so.5
#14 0x00007f23ba109f6a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x55d87d3e1420, event=0x7f2368163e50) at kernel/qcoreapplication.cpp:1063
#15 0x00007f23ba10c9a1 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=0x0, event_type=0, data=0x55d87ca118f0) at kernel/qcoreapplication.cpp:1817
#16 0x00007f23ba161e33 in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x55d87cb50cf0) at kernel/qeventdispatcher_glib.cpp:277
#17 0x00007f23b0ee7e6b in g_main_context_dispatch () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007f23b0ee8118 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007f23b0ee81cf in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#20 0x00007f23ba1614bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x55d87cb5cf30, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#21 0x00007f23ba10892b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fffb77433f0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#22 0x00007f23ba110ba0 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#23 0x000055d87abe302b in  ()
#24 0x00007f23b9aeed0a in __libc_start_main (main=0x55d87abe2610, argc=3, argv=0x7fffb7743688, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffb7743678) at ../csu/libc-start.c:308
#25 0x000055d87abe354a in  ()
[Inferior 1 (process 2111) detached]
Comment 3 Raúl 2021-04-29 15:17:43 UTC
I wonder if https://bugs.kde.org/show_bug.cgi?id=431885 is related.